email address case for importing mail
2008-10-14 23:05 - Erik Ordway

Status: Closed Start date: 2008-10-14
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Email notifications Estimated time: 0.00 hour

Target version:

Resolution: Fixed Affected version:

Description

The mail server on my campus (Exchange) has most of the email addresses in the form of OrdwayE@bla.fake . Note the
capitalization. You can send emails to it in any case (upper, lower, mixed case)as is the spec for email but when it sends it an email
the from field is in the mixed case as above. This breaks the email --> to issue code as | and everyone else always enter our email
addresses in lowercase and when the code tries to find the User it fails.

Redmine needs to be agnostic about email address case.

right now | fixed it in mail_handler.rb by adding a downcase
user user = User.find_active(:first, :conditions => {:mail => email.from.first.downcase})

but the email address should probably also be stored in a know case , like lowercase, so that all the comparisons will always work.
This could be done by altering the before_save method in user.rb

def before_save
# update hashed_password if password was set
self.hashed_password = User.hash_password(self.password) if self.password
self.mail.downcase!
end

Associated revisions

Revision 1933 - 2008-10-16 21:13 - Jean-Philippe Lang

Makes email address case-insensitive in MailHandler (#2032).

History

#1 - 2008-10-16 21:07 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Fixed

| prefer not to force email addresses to be saved in lower case but the problem is now fixed in r1933.
Thanks for pointing out this problem.
